package com.platform.modules.fl.utils;

import java.io.UnsupportedEncodingException;

import org.apache.commons.lang3.StringUtils;
import org.tio.core.intf.Packet;


public class TestPacket extends Packet{
	
    public static final String CHARSET = "GB2312";
    public static final int HEADER_LENGHT = 38;
    private byte[] body;
    
    public TestPacket() {
	}
    public TestPacket(String msg) {
    	try {
    		
			this.body = msg.getBytes(CHARSET);
		} catch (UnsupportedEncodingException e) {
		}
	}
 
    /**
     * @return the body
     */
    public byte[] getBody(){
    	
        return body;
    }
    /**
     * @param body the body to set
     */
    public void setBody(byte[] body){
        this.body = body;
    }
}